
<div id='p01popUpWindowCalendar' style='position:relative; top:15px left:150px'></div>
 <script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/formateador.js"></script>
 <SCRIPT language=JavaScript>
	var rutaCabecera;	//Camino de migas
 	 //rutaCabecera = "<a style='text-decoration:none; font-size:8pt; color:yellow; font-family:verdana' href='/m05bParqueMovilWar/m05bVehiculosJsp.jsp'>\\Gesti&oacute;n de Veh&iacute;culos</a>"; 
 	 rutaCabecera = "";
	 detActual = '<%=resCM.getString("cmVehiculos")%>'; 
 	 
	 //rutaCabecera = "<a style='text-decoration:none; font-size:8pt; color:yellow; font-family:verdana' href='" + "<%=m05bConstantesPaginas.VEH_GESTION_VEHICULOS%>?Matricula=<%=matricula%>" + "'>\\<%= resCM.getString("cmVehiculos")%></a>";

 </SCRIPT>
<%   String rutaRetorno = (String)session.getAttribute("rutaRetorno"); 
     m05bFileLog logFijo = new m05bFileLog();
     logFijo.addTraza("Anabel", "Vehiculos Fijo", "URL Retorno: " + rutaRetorno, 3);
%>
<script>
 function fncRetornar(){
 	   var docu= document.formVehiculos;
	       docu.target="_top";  
               docu.action="<%=rutaRetorno%>";
	       docu.submit();
 			
}
 function ComprobarBajaSelect(Codsituacion){
   if (document.formVehiculos.SituacionF.options[document.formVehiculos.SituacionF.selectedIndex].value=="B")
      {
      fncSituacion("0");
      if ((document.formVehiculos.Asignado.value.charAt(0)=="A") && (document.formVehiculos.Asignado.value.length==1)){
		alert(dameAlerta(idioma, 213));
                document.formEconomico.FechaBaja.value="";
                document.formVehiculos.SituacionF.value=Codsituacion;
		return false;}
	else if ((document.formVehiculos.OrdenTrabajo.value.charAt(0)=="O")&& (document.formVehiculos.OrdenTrabajo.value.length==1)){
		alert(dameAlerta(idioma, 214));
                document.formVehiculos.SituacionF.value=Codsituacion;
	        document.formEconomico.FechaBaja.value="";
		return false;}
} else {fncSituacion("1");}
}
 function ComprobarBaja(){
	if ((document.formVehiculos.Asignado.value=="") && (document.formVehiculos.OrdenTrabajo.value==""))
		return true;
	else if ((document.formVehiculos.Asignado.value.charAt(0)=="A") && (document.formVehiculos.Asignado.value.length==1)){
		alert(dameAlerta(idioma, 213));
                document.formEconomico.FechaBaja.value="";
		return false;}
	else if ((document.formVehiculos.OrdenTrabajo.value.charAt(0)=="O")&& (document.formVehiculos.OrdenTrabajo.value.length==1)){
		alert(dameAlerta(idioma, 214));
	        document.formEconomico.FechaBaja.value="";
		return false;}
	else if (document.formEconomico.FechaBaja.value!=""){
		var valor="";
                if ((document.formVehiculos.Asignado.value.charAt(0)=="A") && (document.formVehiculos.Asignado.value.length>1)){
                   valor=document.formVehiculos.Asignado.value.charAt(1)+
                   document.formVehiculos.Asignado.value.charAt(2)+
                   document.formVehiculos.Asignado.value.charAt(3)+
                   document.formVehiculos.Asignado.value.charAt(4)+
                   document.formVehiculos.Asignado.value.charAt(5)+	 
                   document.formVehiculos.Asignado.value.charAt(6)+
                   document.formVehiculos.Asignado.value.charAt(7)+
                   document.formVehiculos.Asignado.value.charAt(8)+
                   document.formVehiculos.Asignado.value.charAt(9)+	  
                   document.formVehiculos.Asignado.value.charAt(10);
		   if ((comparaFechas(document.formEconomico.FechaBaja.value,valor))){
		    
			document.formEconomico.FAsignacion.value=formatoFechasSinBarra(valor);
			}else{
			document.formEconomico.FAsignacion.value="";
			}
		}
		if ((document.formVehiculos.OrdenTrabajo.value.charAt(0)=="O") && (document.formVehiculos.OrdenTrabajo.value.length>1)){
                    valor=document.formVehiculos.OrdenTrabajo.value.charAt(1)+
                    document.formVehiculos.OrdenTrabajo.value.charAt(2)+
                    document.formVehiculos.OrdenTrabajo.value.charAt(3)+
                    document.formVehiculos.OrdenTrabajo.value.charAt(4)+
                    document.formVehiculos.OrdenTrabajo.value.charAt(5)+	 
                    document.formVehiculos.OrdenTrabajo.value.charAt(6)+
                    document.formVehiculos.OrdenTrabajo.value.charAt(7)+
                    document.formVehiculos.OrdenTrabajo.value.charAt(8)+
                    document.formVehiculos.OrdenTrabajo.value.charAt(9)+	  
                    document.formVehiculos.OrdenTrabajo.value.charAt(10);
		    if ((comparaFechas(document.formEconomico.FechaBaja.value,valor))){
			document.formEconomico.FOrdenTrabajo.value=formatoFechasSinBarra(valor);
			}else{
			 document.formEconomico.FOrdenTrabajo.value="";
			}
		}
	return true;
        }
 return true;}

 function fncSituacion(param){
 	   var docu= document.formEconomico;
               if (param==0){
               docu.FecAdq.value=docu.FecAdq1.value;
               formatearFecha(docu.FecAdq);
               docu.FecAdq.readOnly="readOnly";
               docu.ViUtil.value=docu.ViUtil1.value;
               formatNumero(docu.ViUtil);
               docu.ViUtil.readOnly="readOnly";
               docu.Precio.value=docu.Precio1.value;
               formatNumeroDecimal(docu.Precio,6,2);    
               docu.Precio.readOnly="readOnly";
               docu.RegAdq.disabled=true;
               docu.FechaBaja.readOnly="";
               docu.FechaBaja.value=docu.FechaBaja1.value;
               formatearFecha(docu.FechaBaja);
               docu.ImpBaja.readOnly="";
               docu.ImpBaja.value=docu.ImpBaja1.value;
               formatNumeroDecimal(docu.ImpBaja,6,2);    
               docu.MovBaj.readOnly="";
               docu.DesBaj.disabled=false;
               document.all["calendario1"].src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/pixel.gif';   
               document.all["calendario1"].border='0';    
               document.all["calendarioBaja"].src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif';
                if ((document.formVehiculos.RangoCod.value == "AR") ||  (document.formVehiculos.RangoCod.value == "BR") || (document.formVehiculos.RangoCod.value == "VR")) 
                 {
                   document.all["TitMensaje"].value= dameAlerta(idioma, 261);
                 } else{
                 document.all["TitMensaje"].value="";
                 } 
               } else {
               docu.FecAdq.readOnly="";
               docu.FecAdq.value=docu.FecAdq1.value;
               formatearFecha(docu.FecAdq);
               docu.ViUtil.readOnly="";
               docu.ViUtil.value=docu.ViUtil1.value;
               formatNumero(docu.ViUtil);
               docu.Precio.readOnly="";
               docu.Precio.value=docu.Precio1.value;
               formatNumeroDecimal(docu.Precio,6,2);    
               docu.RegAdq.disabled=false;
               docu.FechaBaja.value=docu.FechaBaja1.value;
               formatearFecha(docu.FechaBaja);
               docu.FechaBaja.readOnly="readOnly";
               docu.ImpBaja.value=docu.ImpBaja1.value;
               formatNumeroDecimal(docu.ImpBaja,6,2);
               docu.ImpBaja.readOnly="readOnly";
               docu.MovBaj.readOnly="readOnly";
               docu.DesBaj.disabled=true;
               document.all["calendario1"].src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif';                      
               document.all["calendarioBaja"].src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/pixel.gif';   
               document.all["calendarioBaja"].border='0';    
               document.all["TitMensaje"].value="";

               }
}

</script>
  <%
  String sExisteMatricula="0";
  String persona = (String) session.getAttribute("persona");

  String habilitar=request.getParameter("Habilitar");
  if  (habilitar==null){
       habilitar="";
  }%>
  <script>
   urlIdioma=urlIdioma+"&Habilitar=<%=habilitar%>";
   if( urlCambioVentana.indexOf("?")==-1)   {
      urlCambioVentana=urlCambioVentana+"?Habilitar=<%=habilitar%>";
   }else{
      urlCambioVentana=urlCambioVentana+"&Habilitar=<%=habilitar%>";   
   }
  </script>
 <%@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<p> 	 

<table  width="100%" height="100%" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp&nbsp</td>
		<td width="98%">
			
<FORM NAME="formVehiculos" METHOD="POST" TARGET="_top">
<input type="hidden" name="Asignado" value="" >
<input type="hidden" name="OrdenTrabajo" value="" >


					<!-- Hojas de Estilo -->
						<%  m05bComun comun = new m05bComun();
						    String m05bCalendarEstilo = comun.leerPropiedad("m05bEstilos.Calendario");  %>
						<%=m05bCalendarEstilo%>
					<!-- Calendarios -->
						<%	String m05bCalendarScripts = comun.leerPropiedad("m05bScripts.Calendario");  %>
						<%=m05bCalendarScripts%>
					 <% 
  String pathVehiFrame,pathVarios;
  if ( (matricula==null) || (matricula=="") ) {
     matricula= "";
	 pathVehiFrame="m05bVehiFrameJsp.jsp";
	 pathVarios="m05bVariosJsp.jsp";
  }
  else {
		pathVehiFrame="m05bVehiFrameJsp.jsp?Matricula='"+matricula+"'";
		pathVarios="m05bVariosJsp.jsp?Matricula='"+matricula+"'";
  }%>
  
<%	     	

  String strMatricula=request.getParameter("Matricula");
  java.sql.Connection conexion=null;
  PreparedStatement pstmt1 = null, pstmt2 = null;
  ResultSet rs1 = null;
  ResultSet rs2 = null;
  m05bConexion miConexion = new m05bConexion();
  conexion = miConexion.getConnection();
  conexion.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit
 
	  String strFecMat="";
	  String strFecAlta="";
	  String strFecBaja="";
	  String existe="0";
  	  String activarSituacion="0";
	  String modelo="";
	  String color="";
	  String marca="";
	  String codrango="";
	  String situacion="";
	  String kmact="";
	  String fkmact="";
	  String coddpto="";
	  String descdpto="";
	  String codmod="";  
	  String precio="";
	  String codColor="";
          String IBaja="";
          String matricAnt="";
          String sDesSituacion="";

  if (strMatricula==null)
      strMatricula="";
  else{  	     	

	  StringBuffer sql= new StringBuffer();
  	  StringBuffer sqlComprobarT= new StringBuffer();
  	  StringBuffer sqlComprobarS= new StringBuffer();
          StringBuffer sqlMatricAnt = new StringBuffer();
  	  StringBuffer sqlAsignado= new StringBuffer();
  	  StringBuffer sqlOrdenT= new StringBuffer();


      //Comprobar si el vehiculo esta en un a orden de trabajo o asingnado	 
      sqlAsignado.append(" select DECODE(").append(m05bConstantes.COL_01_FDEVOL).append(",'','A','A'||TO_CHAR(");
      sqlAsignado.append(m05bConstantes.COL_01_FDEVOL).append(",'dd/mm/yyyy')),");
      sqlAsignado.append(m05bConstantes.COL_01_FDEVOL).append(" as fecha from ");
      sqlAsignado.append(m05bConstantes.TAB_ASIGNACION).append(" where ");
      sqlAsignado.append(m05bConstantes.COL_01_MATRICULA).append("='").append(matricula).append("' ");
      sqlAsignado.append(" order by fecha desc");
      logFijo.addTraza(persona , "m05bVehiculos" , "sqlAsignado: " + sqlAsignado.toString(), m05bConstantes.LOG_NIVEL_BAJO);


      sqlOrdenT.append(" select DECODE(").append(m05bConstantes.COL_20_FSALIDA).append(",'','O',");
      sqlOrdenT.append("'O'||TO_CHAR(").append(m05bConstantes.COL_20_FSALIDA).append(",'dd/mm/yyyy')),");
      sqlOrdenT.append(m05bConstantes.COL_20_FSALIDA).append(" as fecha from ");
      sqlOrdenT.append(m05bConstantes.TAB_ORDENESTRAB ).append(" where ").append(m05bConstantes.COL_20_MATRICULA);
      sqlOrdenT.append("='").append(matricula).append("' order by fecha desc");
      logFijo.addTraza(persona , "m05bVehiculos" , "sqlOrdenT: " + sqlOrdenT.toString(), m05bConstantes.LOG_NIVEL_BAJO);

	  //RECUPERAR-MATRICULA-ANTERIOR	 
	  sqlMatricAnt.append("SELECT ").append(m05bConstantes.COL_44_MATRIC_ANT).append(" FROM ").append(m05bConstantes.TAB_HIST_VEHICULOS);
  	  sqlMatricAnt.append(" WHERE ").append(m05bConstantes.COL_44_MATRICULA).append("='");
  	  sqlMatricAnt.append(matricula).append("' ORDER BY ").append(m05bConstantes.COL_44_ID).append(" desc ");


      sql.append("SELECT ").append(m05bConstantes.COL_34_KMACTUALES).append(",").append(m05bConstantes.COL_34_MARCA).append(",");
      sql.append(m05bConstantes.COL_17_DESCRIP).append(",").append(m05bConstantes.COL_17_CODMOD);
      sql.append(",").append(m05bConstantes.COL_34_SITUACION).append(",").append(m05bConstantes.COL_34_FKMACT);
      sql.append(",C.").append(m05bConstantes.COL_99_CODTABLA).append(",").append("CODDPTO_34");
      sql.append(",").append("DESDPTO_34").append(",").append(m05bConstantes.COL_34_RANGO);
      sql.append(",").append(m05bConstantes.COL_34_FALTA).append(",").append(m05bConstantes.COL_34_FBAJA);
      sql.append(",").append(m05bConstantes.COL_34_PRECIO).append(",").append(m05bConstantes.COL_34_IMPBAJA);      
      sql.append(",C.").append(m05bConstantes.COL_99_DESCRIPCION).append(",").append(m05bConstantes.COL_34_FMATRIC);
      sql.append(",S.").append(m05bConstantes.COL_99_DESCRIPCION).append("  FROM ");
      sql.append(m05bConstantes.TAB_VEHICULOS).append(",").append(m05bConstantes.TAB_DESCRIPCIONES).append(" C,");
      sql.append(m05bConstantes.TAB_MODELOS).append(",").append(m05bConstantes.TAB_DESCRIPCIONES).append(" S ");
      sql.append(" WHERE ").append(m05bConstantes.COL_34_MATRICULA).append("='");
      sql.append(strMatricula).append("' AND ").append(m05bConstantes.COL_34_MODELO).append("=");
      sql.append(m05bConstantes.COL_17_CODMOD);
      sql.append(" AND  C.").append(m05bConstantes.COL_99_CODTABLA);
      sql.append("(+)='").append(m05bConstantes.DESC_COLORES).append("' AND C.").append(m05bConstantes.COL_99_CODDESC);
      sql.append("(+)=").append(m05bConstantes.COL_34_COLOR);
      sql.append(" AND  S.").append(m05bConstantes.COL_99_CODTABLA);
      sql.append("(+)='").append(m05bConstantes.DESC_SITUACIONES).append("' AND S.").append(m05bConstantes.COL_99_CODDESC);
      sql.append("(+)=").append(m05bConstantes.COL_34_SITUACION);

      logFijo.addTraza("Anabel", "Vehiculos Fijo", "sql" + sql.toString(), m05bConstantes.LOG_NIVEL_BAJO);

  	  try{
  	  	 pstmt1 = conexion.prepareStatement(sql.toString());
		 rs1 = pstmt1.executeQuery();
	     if (rs1.next()){
	         sExisteMatricula="1";
	       	 marca=rs1.getString(m05bConstantes.COL_34_MARCA);
		 situacion=rs1.getString(m05bConstantes.COL_34_SITUACION);
                 sDesSituacion=rs1.getString(17);
                 codrango=rs1.getString(m05bConstantes.COL_34_RANGO);
	         modelo=rs1.getString(m05bConstantes.COL_17_DESCRIP);
	         codmod=rs1.getString(m05bConstantes.COL_17_CODMOD);
	         kmact=rs1.getString(m05bConstantes.COL_34_KMACTUALES);
	         fkmact=rs1.getString(m05bConstantes.COL_34_FKMACT);
	         if ((kmact==null )||(kmact=="0" ))
	                    kmact="";

	         if (fkmact==null || fkmact.equals("NULL"))
	           	fkmact="";
	         else
	         	fkmact=comun.Mes(fkmact,campoTexto3);
	         coddpto=rs1.getString("CODDPTO_34");
	         descdpto=rs1.getString("DESDPTO_34");
	         strFecAlta=rs1.getString(m05bConstantes.COL_34_FALTA);
	         strFecBaja=rs1.getString(m05bConstantes.COL_34_FBAJA);
                 IBaja=rs1.getString(m05bConstantes.COL_34_IMPBAJA);
	         strFecMat=rs1.getString(m05bConstantes.COL_34_FMATRIC);
                 precio = rs1.getString(m05bConstantes.COL_34_PRECIO);
	         if (precio==null )
	             precio="";
	            
	         if (IBaja==null )
	             IBaja="";

	         if (strFecAlta==null || strFecAlta.equals("NULL"))
	                    strFecAlta="";
	         else
	             strFecAlta=comun.Mes(strFecAlta,campoTexto3);
	            
	         if (strFecBaja==null || strFecBaja.equals("NULL"))
	                    strFecBaja="";
	         else
	             strFecBaja=comun.Mes(strFecBaja,campoTexto3);
	            
	         if (strFecMat==null || strFecMat.equals("NULL"))
	                    strFecMat="";
	         else
	                    strFecMat=comun.Mes(strFecMat,campoTexto3);
		 pstmt2 = conexion.prepareStatement(sqlMatricAnt.toString());
		 rs2 = pstmt2.executeQuery();
		 if (rs2.next()) {
               	          matricAnt=rs2.getString(m05bConstantes.COL_44_MATRIC_ANT);
		          matricAnt = matricAnt == null ? "":matricAnt;
                 }
                 if (rs2 != null)
			        rs2.close();
                 if (pstmt2 != null)
			        pstmt2.close();

               logFijo.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "Despues Situacion"+sqlAsignado.toString() , m05bConstantes.LOG_NIVEL_BAJO);
	   
               pstmt2 = conexion.prepareStatement(sqlAsignado.toString());
		   	   rs2 = pstmt2.executeQuery();
               if (rs2.next()) {
                    String Asignado=rs2.getString(1);%>
                    <!--Rellenamos la variable oculta Asignado con la fecha de asignacion-->
                    <script>document.formVehiculos.Asignado.value="<%=Asignado%>";</script>
               <%}
                 if (rs2 != null)
			        rs2.close();
                 if (pstmt2 != null)
			         pstmt2.close();%>
               <!--FinComprobamos si el vehiculo esta asignado-->
               
               <!--IniComprobamos si el vehiculo tiene orden de trabajo-->
               <%		             logFijo.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "Despues Situacion"+sqlOrdenT.toString(), m05bConstantes.LOG_NIVEL_BAJO );
	   
               pstmt2 = conexion.prepareStatement(sqlOrdenT.toString());
		   	   rs2 = pstmt2.executeQuery();
               if (rs2.next()) {
                    String OrdenTrabajo=rs2.getString(1);%>
                    <!--Rellenamos la variable oculta Orden Trabajo con la fecha de Orden Trabajo-->
                    <script>document.formVehiculos.OrdenTrabajo.value="<%=OrdenTrabajo%>";</script>
               <%}
                 if (rs2 != null)
			        rs2.close();
                 if (pstmt2 != null)
			         pstmt2.close();%>
               <!--FinComprobamos si el vehiculo esta Orden de Trabajo-->

	       <%} 
	  } catch (Exception SQLException){
	   		SQLException.printStackTrace();
	  } finally {
				if (rs1 != null)
					rs1.close();
				if (pstmt1 != null)
					pstmt1.close();
                                if (rs2 != null)
			                rs2.close();
                                if (pstmt2 != null)
			                pstmt2.close();
				if (conexion != null)
					conexion.close();
	  } // fin try
	}%>
		<%			m05bCombo miCombo = new m05bCombo();
					%>
					<SCRIPT language="javascript">
    						var CmbDesc=new Array();
					
                    <%=miCombo.joinComboArray( m05bConstantes.COL_17_CODMOD, m05bConstantes.COL_17_DESCRIP, m05bConstantes.TAB_MODELOS, m05bConstantes.COL_17_CODMARCA)%>
					</script>

 <% if  (habilitar.equals("true"))   {%>
          <TABLE class='general'>
               <tr>
                  <td align='right'> <INPUT TYPE='IMAGE' VALUE='Retornar' ONCLICK='JavaScript:fncRetornar();return false;'  src='/parquemovil/images/retornar.gif'/> </td>
               </tr>
           </TABLE>
 <%}%>
 <TABLE class="vehiculos"  >
   <tr>
     <td valign="top" class="inputFieldTitle"><%= res.getString("etMatricula")%></td>
     <td valign="top" class="inputFieldTitle"><%= res.getString("etFMatriculacion")%></td>
     <td  valign="top" class="inputFieldTitle" ><%= res.getString("etMarca")%></td>
     <td  valign="top" class="inputFieldTitle" ><%= res.getString("etModelo")%></td>
     <!--td valign="top" class="inputFieldTitle"  class="inputFieldTitleBlank">Precio</td-->
     <td  valign="top" class="inputFieldTitle" ><%= res.getString("etFAlta")%></td>

   </tr>
   <tr>
      <td valign="top" align="left"><INPUT  NAME = "MatriculaS" class="inputFieldOblig" TYPE="TEXT"  VALUE="<%=matricula%>" size="12" maxlength="20" onBlur="javascript:fncCambioMatricula(urlCambioVentana);return false;" onKeyPress="this.style.background=('blue');this.style.color=('white')"/></td>
      <td valign="top" align="left"><INPUT class="inputField" TYPE="TEXT"  VALUE="<%=strFecMat%>" size="10" readonly/></td>
      <td valign="top" align="left"><select class=inputField  NAME="MarcaF"  disabled >
          <option value=""> </option>							       
       	   <%=miCombo.popCombo( m05bConstantes.COL_99_CODDESC,  m05bConstantes.COL_99_DESCRIPCION, m05bConstantes.TAB_DESCRIPCIONES, m05bConstantes.COL_99_CODTABLA, m05bConstantes.DESC_MARCAS, marca )%>
      </select>
      </td>
       <td valign="top" align="left"><select  class=inputField  NAME="ModeloF" disabled >
          <option value=""> </option>
            <%=miCombo.popCombo( m05bConstantes.COL_17_CODMOD, m05bConstantes.COL_17_DESCRIP, m05bConstantes.TAB_MODELOS, "", "", codmod )%>
      </select>
      </td>
      <!--td valign="top" align="left"><INPUT class="inputField"  NAME="PrecioF"  VALUE="<%=precio%>"  size="12" maxlength="12" readonly/>     </td-->

      <td valign="top" align="left"><INPUT class="inputField" TYPE="TEXT" NAME="FAltaF" VALUE="<%=strFecAlta%>"  size="10" maxlength="10" onblur="javascript:formatearFecha(this);return false;" readonly/></td>
     </tr>
    </TABLE>
   <TABLE class="vehiculos"  >
      <tr>
	<!--td  valign="top" class="inputFieldTitle" ><%//= res.getString("etFBaja")%></td-->
        <!--td valign="top" class="inputFieldTitle"><%//= res.getString("etImporteBaja")%></td-->
        <td  valign="top" class="inputFieldTitle"><%= res.getString("etKmActuales")%></td>
        <td  valign="top" class="inputFieldTitle" ><%= res.getString("etFKm")%></td>
        <td valign="top" class="inputFieldTitle" ><%= res.getString("etRango")%></td>
        <td  valign="top" class="inputFieldTitle"><%= res.getString("etSituacion")%></td>
    </tr>
    <tr>
      <!--td valign="top" align="left" > <INPUT class="inputField" TYPE="TEXT" NAME="FBaja" VALUE="<%=strFecBaja%>" size="10" maxlength="10" readonly/> </td-->
      <!--td valign="top" align="left"> <INPUT class="inputField"   NAME="IBaja" VALUE="<%=IBaja%>" size="10" maxlength="10" readonly/> </td-->
       <td  valign="top" align="left" ><INPUT class="inputField" name="KmActF" value="<%=kmact%>"  size="7" maxlength="7" readonly/></td>
      <script>
            formatNumero(parent.document.formVehiculos.KmActF);
      </script>	
       <td valign="top" align="left"><INPUT class="inputField" name="FKmActF" value="<%=fkmact%>" size="10" maxlength="10" readonly/></td>
      <td valign="top" align="left"><select  class=inputField  NAME="CRangoF" disabled>
        <option value=""> </option>	
          <%=miCombo.popCombo( m05bConstantes.COL_99_CODDESC, "NVL("+ campoTexto+m05bConstantes.COL_99_DESCRIPCION+","+m05bConstantes.COL_99_DESCRIPCION+")", m05bConstantes.TAB_DESCRIPCIONES, m05bConstantes.COL_99_CODTABLA, m05bConstantes.DESC_RANGOS, codrango )%>
      </select>
      </td>
    <% if ((situacion.equals("B"))){%>
      <script>
      document.write('<td valign="top" align="left"><select class=inputField  NAME="SituacionF" disabled >');
      </script>
    <%}else{%>
    <script>
       document.write('<td valign="top" align="left"><select  class=inputField  NAME="SituacionF" enabled ');
       document.write('onchange="JavaScript:blur();"');
       document.write('onclick="borrar_buffer();"');
       document.write('onKeypress=" if ((event.keyCode == 13)|| (event.keyCode == 21)){ blur();} else {buscar_op(this,this);}"');
       document.write("onblur='JavaScript:ComprobarBajaSelect(");
       document.write('"<%=situacion%>");borrar_buffer();this.focus=false;');
       document.write("'>");
     </script>    
      
     <%}
      
     %>

       <% if ((!(situacion.equals("B"))) && ((!(precio.equals("0"))))){%>
       <script>
       document.write(' <option value="B"> BAJA </option>');
       </script>
       <%}%>
       <option value="<%=situacion%>" selected> <%=sDesSituacion%> </option>
      </select>
      </td>
       			      	  
    </tr>
   </TABLE>
 <TABLE class="vehiculos"  >
    <tr>
      <!--td  valign="top" class="inputFieldTitle">KM Actuales</td-->
      <!--td  valign="top" class="inputFieldTitle" >Fecha KM</td-->

      <td  valign="top" class="inputFieldTitle" ><%= res.getString("etDepartamento")%></td>
      <td  valign="top" class="inputFieldTitle" ><%= res.getString("etMatriculaAnterior")%></td>

    </tr>
    <tr>

       <!--td  valign="top" align="left" ><INPUT class="inputField" name="KmAct" value="<%=kmact%>"  size="7" maxlength="7" readonly/></td-->
       <!--td valign="top" align="left"><INPUT class="inputField" name="FKmAct" value="<%=fkmact%>" size="10" maxlength="10" readonly/></td-->
      <td  valign="top" align="left" ><select  class="inputField" disabled  NAME="DptoF" >
         <option value=""> </option>
              <%=miCombo.popCombo(m05bConstantes.COL_06_CODDPTO,"NVL("+campoTexto2+m05bConstantes.COL_06_DESCDPTO+","+m05bConstantes.COL_06_DESCDPTO+")", m05bConstantes.TAB_DEPARTAMENTOS, "", "",coddpto)%>
      </select> 
      </td>
      <td valign="top" align="left"><INPUT class="inputField" TYPE="TEXT" NAME="MatricAntF" VALUE="<%=matricAnt%>" size="12" maxlength="20" readonly/></td>

 </tr>
   </TABLE>
   								   
						
	<TABLE class="general">
     <tr>
     		   <td id="tabVarios" bgcolor="#3366CC" onmouseout="fueraPestana(this)" onmouseover="javascript:dentroPestana(this);"><a href="#" onclick="javascript:fncVarios('<%=habilitar%>');return false;"  style='text-decoration:none; font-size:7pt; color:#FFFFFF; font-family:verdana'   ><%= res.getString("etMVARIOS")%></a></td>
               <td id="tabEconomica" bgcolor="#3366CC" onmouseout="fueraPestana(this)" onmouseover="javascript:dentroPestana(this);"><a href="#" onclick="javascript:fncEconomica('<%=habilitar%>');return false;"  style='text-decoration:none; font-size:7pt; color:#FFFFFF; font-family:verdana'   ><%= res.getString("etMECONOMICA")%></a></td>
               <td id="tabTasa" bgcolor="#3366CC" onmouseout="fueraPestana(this)" onmouseover="javascript:dentroPestana(this);"><a href="#" onclick="javascript:fncTasa('<%=habilitar%>');return false;"       style='text-decoration:none; font-size:7pt; color:#FFFFFF; font-family:verdana'   ><%= res.getString("etMTASAS")%></a></td>
               <td id="tabTarjetas" bgcolor="#3366CC" onmouseout="fueraPestana(this)" onmouseover="javascript:dentroPestana(this);"><a href="#" onclick="javascript:fncTarjetas('<%=habilitar%>');return false;"   style='text-decoration:none; font-size:7pt; color:#FFFFFF; font-family:verdana'   ><%= res.getString("etMTARJETAS")%></a></td>
               <td id="tabGastos" bgcolor="#3366CC" onmouseout="fueraPestana(this)" onmouseover="javascript:dentroPestana(this);"><a href="#" onclick="javascript:fncGastos('<%=habilitar%>');return false;"     style='text-decoration:none; font-size:7pt; color:#FFFFFF; font-family:verdana'   ><%= res.getString("etMGASTOS")%></a></td>
               <td id="tabSeguros" bgcolor="#3366CC" onmouseout="fueraPestana(this)" onmouseover="javascript:dentroPestana(this);"><a href="#" onclick="javascript:fncSeguro('<%=habilitar%>');return false;"     style='text-decoration:none; font-size:7pt; color:#FFFFFF; font-family:verdana'   ><%= res.getString("etMSEGUROS")%></a></td>
               <td id="tabSanciones" bgcolor="#3366CC" onmouseout="fueraPestana(this)" onmouseover="javascript:dentroPestana(this);"><a href="#"onclick="javascript:fncSanciones('<%=habilitar%>');return false;"  style='text-decoration:none; font-size:7pt; color:#FFFFFF; font-family:verdana'   ><%= res.getString("etMSANCIONES")%></a></td>
               <td id="tabItv" bgcolor="#3366CC" onmouseout="fueraPestana(this)" onmouseover="javascript:dentroPestana(this);"><a href="#"   onclick="javascript:fncITV('<%=habilitar%>');return false;"        style='text-decoration:none; font-size:7pt; color:#FFFFFF; font-family:verdana'   ><%= res.getString("etMITV")%></a></td>
               <td id="tabSiniestros" bgcolor="#3366CC" onmouseout="fueraPestana(this)" onmouseover="javascript:dentroPestana(this);"><a href="#"  onclick="javascript:fncSiniestros('<%=habilitar%>');return false;" style='text-decoration:none; font-size:7pt; color:#FFFFFF; font-family:verdana'   ><%= res.getString("etMSINIESTROS")%></a></td>
 			   <td id="tabReformas" bgcolor="#3366CC"  onmouseout="fueraPestana(this)" onmouseover="javascript:dentroPestana(this);"><a href="#"    onclick="javascript:fncReformas('<%=habilitar%>');return false;"   style='text-decoration:none; font-size:7pt; color:#FFFFFF; font-family:verdana'   ><%= res.getString("etMREFORMAS")%></a></td>
     </tr>
    </TABLE>
<INPUT class="inputField" TYPE="HIDDEN" NAME="Matricula" VALUE="<%=matricula%>" size="12" maxlength="20" />
<input type="hidden" name="SituacionTxt" >
<input type="hidden" name="SituacionCod" >
<input type="hidden" name="RangoTxt" >
<input type="hidden" name="RangoCod" >
<input type="hidden" name="Existe" value="1" >
<input type="hidden" name="Habilitar" value="<%=habilitar%>">

<INPUT class="inputField" TYPE="HIDDEN" NAME="FMatriculacion" VALUE="<%=strFecMat%>" >


<script>
		  	document.formVehiculos.SituacionTxt.value=document.formVehiculos.SituacionF.options[document.formVehiculos.SituacionF.selectedIndex].text;	 
		  	document.formVehiculos.SituacionCod.value=document.formVehiculos.SituacionF.options[document.formVehiculos.SituacionF.selectedIndex].value;	 
		  	
		  	document.formVehiculos.RangoTxt.value=document.formVehiculos.CRangoF.options[document.formVehiculos.CRangoF.selectedIndex].text;	 
		  	document.formVehiculos.RangoCod.value=document.formVehiculos.CRangoF.options[document.formVehiculos.CRangoF.selectedIndex].value;	 
</script>
<%PrintWriter outMsg= response.getWriter();	  
  if (sExisteMatricula.equals("0")) {
      outMsg.println("<script>alert(dameAlerta(idioma, 108));</script>");
}%>
</FORM>   
